Bug 1117894 - Rebase openstack-keystone to 2014.1.1
Summary: Rebase openstack-keystone to 2014.1.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 5.0 (RHEL 7)
Assignee: Alan Pevec
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks: 1118487
TreeView+ depends on / blocked
 
Reported: 2014-07-09 15:23 UTC by Lon Hohberger
Modified: 2016-04-26 18:51 UTC (History)
7 users (show)

Fixed In Version: openstack-keystone-2014.1.1-1.el7ost openstack-keystone-2014.1.1-1.el6ost
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The openstack-keystone packages have been rebased to version 2014.1.1. For more information, refer to https://launchpad.net/keystone/icehouse/2014.1.1 Important bug fixes include: * Previously, if a user had more than one role on a project, duplicate user resources were returned when listing users through the v2 Identity API. These duplicate user resources are now filtered out before returning the response to clients. (Launchpad #1308218) * The migration of Identity's SQL assignment data could fail with a 'db_sync_error' when upgrading from Havana to Icehouse due to charset issues. The charset settings have now been corrected, allowing data migration to succeed. (Launchpad #1320855) * LDAP attribute names were being treated as case-sensitive by the Identity service, even though the LDAP standards specify that attribute names are case-insensitive. This could cause LDAP-related operations such as authentication to fail when the LDAP server returned an attribute name in a case that Identity did not expect. The Identity service has been fixed to properly treat LDAP attribute names as case-insensitive. (Launchpad #1281216) * When using LDAP as the Identity backend, there was previously no ability to map additional attributes that are unknown to Identity. The mapping of arbitrary attributes is now allowed. (Launchpad #1293698)
Clone Of:
: 1118487 (view as bug list)
Environment:
Last Closed: 2014-07-24 17:24:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0931 0 normal SHIPPED_LIVE openstack-keystone bug-fix advisory 2014-07-24 21:22:35 UTC

Description Lon Hohberger 2014-07-09 15:23:16 UTC
Rebase openstack-keystone to 2014.1.1.  If appropriate, link any critical issues addressed in this rebase.

Comment 3 Udi 2014-07-15 14:46:16 UTC
Puddle 2014-07-14.1 passed sanity.

Comment 5 Summer Long 2014-07-23 03:00:12 UTC
Hi Nathan, thanks for the rebase number, but what is really needed is how the rebase impacts the user. What are the main highlights, fixes, or enhancements of the rebase for the user? thanks, Summer

Comment 6 Nathan Kinder 2014-07-23 05:19:42 UTC
(In reply to Summer Long from comment #5)
> Hi Nathan, thanks for the rebase number, but what is really needed is how
> the rebase impacts the user. What are the main highlights, fixes, or
> enhancements of the rebase for the user? thanks, Summer

The upstream 2014.1.1 release was only a bugfix update.  Out of the 5 upstream bugs fixed in Keystone for 2014.1.1, there was only one high priority issue (for CVE-2014-0204).  We had already included the fix for this issue in the RHEL OSP 5.0 GA, so it should not be called out for this update.

I can call out the remaining 4 lower priority bug fixes if you prefer, though we don't have bugzilla numbers to refer to them by.  Do we reference Launchpad bug numbers in doc updates?

Comment 7 Summer Long 2014-07-23 05:38:48 UTC
Thanks, Nathan. No need for the bug numbers, just a short listing that would help the end user to understand what changed would be good. Otherwise, if it's all backend stuff, there's no need for doc text and you can set requires_doc_text to -. Also, referencing the launchpad link is fine since this is a rebase. I've done it in other bugs.

Comment 8 Nathan Kinder 2014-07-23 15:09:33 UTC
(In reply to Summer Long from comment #7)
> Thanks, Nathan. No need for the bug numbers, just a short listing that would
> help the end user to understand what changed would be good. Otherwise, if
> it's all backend stuff, there's no need for doc text and you can set
> requires_doc_text to -. Also, referencing the launchpad link is fine since
> this is a rebase. I've done it in other bugs.

I've added the bug details.  Let me know if you want the Launchpad referenced to be in some other form (like a full link).  I've used "(Launchpad #<id>)" for now, but I'm not sure what the convention is on the Doc team.

Comment 10 errata-xmlrpc 2014-07-24 17:24:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0931.html


Note You need to log in before you can comment on or make changes to this bug.